•  » Plugins
  •  » erreur après mise à jour plugins Force https

#1 2017-11-13 13:18:57

yaka
Membre
2017-06-19
12

erreur après mise à jour plugins Force https

Bonjour/Bonsoir,
voici le message d'erreur sur ma page d’accueil depuis la mise à jour du plugins  "Force HTTPS":

Code:

Notice: Undefined index: force_https in /var/www/ucs-overview/piwigo/plugins/Force_HTTPS/main.inc.php on line 155

version précédente: 1.5.0 nouvelle version: 2.0.2

Cordialement

Version de Piwigo: 2.9.1
Version de PHP:  4.9.30
Version de MySQL: 5.5.57-0
URL Piwigo: https://yaka.hd.free.fr/piwigo/

Hors ligne

#2 2017-11-13 15:59:39

Pierrot_Rennes
Membre
Rennes (35)
2007-03-22
1013

Re: erreur après mise à jour plugins Force https

Bonjour,

J'ai eu le problème également sur la 2.0.1 publiée récemment et j'ai du me connecter en Backend pour avoir accès au site

Surprise : sur la mise à jour, le réglage HTTPS avait sauté

La 2.0.2 semble avoir corrigé cela mais bizarrement la police dans le plugin était beaucoup plus grosse et j'avais la même ligne erreur

Retourne voir dans le plugin et fais enregistrer tes réglages

Pour moi, c'est rentré dans l'ordre dans la foulée

Sinon tu supprimes le plugin en FTP, tu envoies la nouvelle version par FTP et tu reconnectes en Backend pour avoir accès au site et aux réglages du plugin

Bonne journée


Pierrot - Rennes (35) - Cartapub.net
vente de cartes postales publicitaires et collection puzzles de Bandes Dessinées
Piwigo 2.9.3 - PHP: 5.6.30 - MySQL: 5.5.58-38.10-log - ImageMagick 6.8.9-9
(Hébergeur : Gandi)

Hors ligne

#3 2017-11-13 16:12:02

Pierrot_Rennes
Membre
Rennes (35)
2007-03-22
1013

Re: erreur après mise à jour plugins Force https

Dans le doute et après avoir été "échaudé" avec les deux dernières versions  (2.0.1 et 2.0.2) du plugin, j'ai refais un tour sur les plugins installés sur ma galerie

Losque j'accède au plugin Image Preview, voici ce qui s'affiche en entête de page (cela ne l'a pas fait pour les autres plugins)


Warning: Illegal string offset 'fhp_use_https' in /srv/data/web/vhosts/www.cartapub.net/htdocs/plugins/Force_HTTPS/main.inc.php on line 72

Warning: Illegal string offset 'fhp_use_sts' in /srv/data/web/vhosts/www.cartapub.net/htdocs/plugins/Force_HTTPS/main.inc.php on line 73

Warning: Illegal string offset 'fhp_sts_maxage' in /srv/data/web/vhosts/www.cartapub.net/htdocs/plugins/Force_HTTPS/main.inc.php on line 114


Il semble vraiment y avoir un souci avec les dernières versions de Force_HTTPS...


Pierrot - Rennes (35) - Cartapub.net
vente de cartes postales publicitaires et collection puzzles de Bandes Dessinées
Piwigo 2.9.3 - PHP: 5.6.30 - MySQL: 5.5.58-38.10-log - ImageMagick 6.8.9-9
(Hébergeur : Gandi)

Hors ligne

#4 2017-11-14 08:42:40

yaka
Membre
2017-06-19
12

Re: erreur après mise à jour plugins Force https

Bonjour,
quand je vais dans le Backend dans la configuration du plugins Force Https j'ai ça:
    HTTPS non disponible
    Votre serveur hôte ne supporte pas HTTPS. Un certficat SSL certificate est requis. Plugin désactivé.
tout est grisé je ne peux rien activé.
Alors qu'avec la version 1.5.0 il est activé et il fonctionne correctement sur le même serveur à cette adresse:
http://yaka.hd.free.fr/piwigo29/

Bonne journée

Hors ligne

#5 2017-11-16 16:53:24

Pierrot_Rennes
Membre
Rennes (35)
2007-03-22
1013

Re: erreur après mise à jour plugins Force https

Bonjour,

Je confirme qu'il y a un souci avec la nouvelle version du plugin

Par exemple, en allant faire quelques réglages sur ma galerie, j'ai cela qui apparaît au moment de l'enregistrement

https://i.imgur.com/u14eccV.jpg

Dernière modification par Pierrot_Rennes (2017-11-16 16:55:43)


Pierrot - Rennes (35) - Cartapub.net
vente de cartes postales publicitaires et collection puzzles de Bandes Dessinées
Piwigo 2.9.3 - PHP: 5.6.30 - MySQL: 5.5.58-38.10-log - ImageMagick 6.8.9-9
(Hébergeur : Gandi)

Hors ligne

#6 2017-11-21 22:46:56

bonhommedeneige
Membre
2013-05-04
10

Re: erreur après mise à jour plugins Force https

Bonjour Pierrot_Rennes et yaka,

Je n'étais pas venu voir du côté du forum en français et du coup n'ai pas vu vos messages et problèmes liés aux mises à jour précédentes.
Il y avait effectivement quelques coquilles qui depuis, je l'espère, ont été corrigées.

Pierrot_Rennes, les derniers écueils que tu as eu, je confirme les avoir corrigés ([Github] piwigo-ForceHTTPS issue #12).
Yaka, effectivement le plugin tente de vérifier qu'HTTPS est disponible (ou pas), mais vraisemblablement ça ne fonctionne pas dans tous les cas. Je vais rajouter un moyen de forcer l'activation.

Arnaud (bonhommedeneige)

Hors ligne

  •  » Plugins
  •  » erreur après mise à jour plugins Force https

Pied de page des forums

Propulsé par FluxBB